﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TestCustom
{
    [Record("更新", "Leo", "2013-3-20", Memo = "修改……")]
    [Record("更新", "aehyok", "2013-3-18")]
    [Record("创建", "Amy", "2013-3-10")]
    public class DemoClass
    {
        public override string ToString()
        {
            return "This is a demo class";
        }
    }
    class Program
    {
        static void Main(string[] args)
        {
            DemoClass demo = new DemoClass();
            Console.WriteLine(demo.ToString());

            Type t = typeof(DemoClass);
            Console.WriteLine("下面列出应用于 {0} 的RecordAttribute属性：", t);

            // 获取所有的RecordAttributes特性
            object[] records = t.GetCustomAttributes(typeof(RecordAttribute), false);

            foreach (RecordAttribute record in records)
            {
                Console.WriteLine("   {0}", record);
                Console.WriteLine("      类型：{0}", record.RecordType);
                Console.WriteLine("      作者：{0}", record.Author);
                Console.WriteLine("      日期：{0}", record.Date.ToShortDateString());
                if (!String.IsNullOrEmpty(record.Memo))
                {
                    Console.WriteLine("      备注：{0}", record.Memo);
                }
            }
            Console.ReadLine();
        }
    }
}
